Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.servingxml.io.saxsource
Class AbstractSaxSource

    java.lang.Object
      com.servingxml.io.saxsource.AbstractSaxSource

All Implemented Interfaces:
  SaxSource

Direct Known Subclasses:
  ErrorSaxSource, JaxpSourceSaxSource, RecordSaxSource, RecordSaxSource, SaxEventBufferSource, XmlReaderSaxSource

    public abstract class AbstractSaxSource

extends java.lang.Object
implements SaxSource

Provides default implementation for a SaxSource

Constructor Summary
`protected` | `AbstractSaxSource(java.util.Properties outputProperties, javax.xml.transform.TransformerFactory transformerFactory)`
`protected` | `AbstractSaxSource(javax.xml.transform.TransformerFactory transformerFactory)`

Method Summary
`java.util.Properties` | `getDefaultOutputProperties()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.servingxml.io.saxsource.SaxSource
`createXmlReader, getExpirable, getKey, getSystemId`

Constructor Detail

### AbstractSaxSource

    protected AbstractSaxSource(javax.xml.transform.TransformerFactory transformerFactory)

### AbstractSaxSource

    protected AbstractSaxSource(java.util.Properties outputProperties,
                                javax.xml.transform.TransformerFactory transformerFactory)

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### getDefaultOutputProperties

    public java.util.Properties getDefaultOutputProperties()

  Specified by:
    `getDefaultOutputProperties` in interface `SaxSource`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD